### Method

# Ide Buffer get_style_scheme_name

#### Declaration

    const gchar*
    ide_buffer_get_style_scheme_name (
      IdeBuffer* self
    )

#### Description

Gets the name of the `GtkSourceStyleScheme` from the `IdeBuffer:style-scheme` property.

Available since: | 3.32

Gets property | `Ide.Buffer:style-scheme-name`

#### Return value

Returns: | `const gchar*`
| A string containing the style scheme or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.